package com.rjconsultores.ventaboletos.enums;

public enum EnumStatus {
	
	INATIVO("false", "Inativo"),
	ATIVO("true", "Ativo");
	
	private String valor;
	private String descricao;
	
	private EnumStatus(String valor, String descricao) {
		this.valor = valor;
		this.descricao = descricao;
	}

	public String getValor() {
		return valor;
	}
	
	@Override
	public String toString() {
		return this.descricao;
	}
	
	public static EnumStatus buscarPeloValor(String tValor) {
		for (EnumStatus valor : EnumStatus.values()) {
			if (valor.getValor().equalsIgnoreCase(tValor)) {
				return valor;
			}
		}
		return null;
	}
	
}
